cURL
curl --request PATCH \ --url https://api.cpln.io/org/{org}/location/{name} \ --header 'Authorization: <api-key>' \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>", "description": "<string>", "tags": {}, "origin": "default", "provider": "aws", "region": "<string>", "spec": { "enabled": true } } '
{ "id": "<string>", "name": "<string>", "kind": "<string>", "version": 123, "description": "<string>", "tags": {}, "created": "2023-11-07T05:31:56Z", "lastModified": "2023-11-07T05:31:56Z", "links": [ { "rel": "<string>", "href": "<string>" } ], "origin": "default", "provider": "aws", "region": "<string>", "spec": { "enabled": true }, "status": { "geo": { "lat": 123, "lon": 123, "country": "<string>", "state": "<string>", "city": "<string>", "continent": "<string>" } } }
Service account key can be used as API keys
64
builtin
default
aws
gcp
azure
Show child attributes
Success